package com.apobbati.samples.controllers;

import com.apobbati.samples.services.Level3Service;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class SampleController {
    private Logger logger = LoggerFactory.getLogger(SampleController.class);

    @Autowired
    private Level3Service level3Service;

    @RequestMapping(value = "/api/echo/{name}", method = RequestMethod.GET)
    public @ResponseBody String echo(@PathVariable("name") String name) {
        return "Hello " + name + "; [ The entire world can access this! ]";
    }

    @RequestMapping(value = "/api/protected/echo/{name}", method = RequestMethod.GET)
    public @ResponseBody String protectedEcho(@PathVariable("name") String name) {
        return "Hello " + name + "; [ ALL logged-in users can access this! ]";
    }

    @RequestMapping(value = "/api/level1/echo/{name}", method = RequestMethod.GET)
    public @ResponseBody String echoLevel1(@PathVariable("name") String name) {
        return "Hello " + ("(L1: " + name + ")") + "; [ ONLY Level1 users (and higher) can access this! ]";
    }

    @RequestMapping(value = "/api/level2/echo/{name}", method = RequestMethod.GET)
    public @ResponseBody String echoLevel2(@PathVariable("name") String name) {
        return "Hello " + ("(L2: " + name + ")") + "; [ ONLY Level2 users (and higher) can access this! ]";
    }

    @RequestMapping(value = "/api/level3/echo/{name}", method = RequestMethod.GET)
    public @ResponseBody String echoLevel3(@PathVariable("name") String name) {
        return "Hello " + level3Service.sayEcho(name) + "; [ ONLY Level3 users (and higher) can access this! ]";
    }
}
