package com.apobbati.samples.security;

import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;
import org.springframework.security.saml.SAMLCredential;

import java.util.ArrayList;
import java.util.List;

public class CSVGrantedAuthorityBuilder implements GrantedAuthorityBuilder {
    private String groupsAttribute = "Groups";

    public String getGroupsAttribute() {
        return groupsAttribute;
    }

    public void setGroupsAttribute(String groupsAttribute) {
        this.groupsAttribute = groupsAttribute;
    }

    @Override
    public List<GrantedAuthority> buildAuthorities(Object credential) {
        SAMLCredential samlCredential = (SAMLCredential) credential;
        String memberOfAttr = SAMLUtil.getAttributeValue(samlCredential, groupsAttribute);
        List<GrantedAuthority> grantedAuthorities = new ArrayList<GrantedAuthority>();
        for(String group : memberOfAttr.split(",")) {
            grantedAuthorities.add(new SimpleGrantedAuthority(group));
        }
        return grantedAuthorities;
    }
}
