<!doctype html>
<html lang="en" ng-app="myApp">
<head>
    <meta charset="utf-8">
    <title>Secure AngularJS Application</title>
    <link rel="stylesheet" href="/app/css/app.css"/>
    <link rel="stylesheet" href="/app/lib/bootstrap/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="/app/lib/bootstrap/css/bootstrap-theme.min.css"/>
</head>
<body>
  <ul class="menu">
    <!-- Toggle visibility based on access levels -->
    <li ng-show="userPrincipal.hasRole('ACCESS_LEVEL1')"><a href="#/view1">view1</a></li>
    <li ng-show="userPrincipal.hasRole('ACCESS_LEVEL2')"><a href="#/view2">view2</a></li>
    <li ng-show="userPrincipal.hasRole('ACCESS_LEVEL3')"><a href="#/view3">view3</a></li>
    <li ng-show="userPrincipal.hasAnyRole('ACCESS_LEVEL2', 'ACCESS_LEVEL3')"><a href="#/view4">view4</a></li>
    <li><a href="/saml/logout">Logout</a></li>
  </ul>

  <div ng-view style="height: 300px"></div>

  <div>Welcome, <b>{{userPrincipal.attributes.name}}</b>: [<a href="mailto:{{userPrincipal.attributes.email}}">{{userPrincipal.attributes.email}}</a>]</div>

  <script src="/app/lib/jquery/jquery-1.10.2.js"></script>
  <script src="/app/lib/bootstrap/js/bootstrap.min.js"></script>
  <script src="/app/lib/angular/angular.js"></script>
  <script src="/app/lib/angular/angular-cookies.js"></script>
  <script src="/app/lib/angular/angular-resource.js"></script>
  <script src="/app/lib/angular/angular-sanitize.js"></script>
  <script src="/app/lib/angular/ui-bootstrap-0.6.0.js"></script>
  <script src="/app/lib/angular/ui-bootstrap-tpls-0.6.0.js"></script>
  <script src="/app/js/app.js"></script>
  <script src="/app/js/auth.js"></script>
  <script src="/app/js/services.js"></script>
  <script src="/app/js/controllers.js"></script>
  <script src="/app/js/filters.js"></script>
  <script src="/app/js/directives.js"></script>
  <script type="text/javascript">
      window['_userPrincipal_'] = ${principalJson};
  </script>

</body>
</html>
