'use strict';

angular.module('myApp.auth', [])
  .factory('auth', ['$rootScope', function($rootScope) {
    var currentPrincipal = window['_userPrincipal_'];
    window['_userPrincipal_'] = null;

    function hasAnyRole() {
      var levels = $.isArray(arguments[0]) ? arguments[0] : arguments;
      var result = false;
      $.each(levels, function() {
        result |= $.inArray(this, currentPrincipal.accessLevels) >= 0;
      });
      return result;
    }

    var def = {
      attributes: currentPrincipal,
      hasRole: function(role) {
        return hasAnyRole(role);
      },
      hasAnyRole: hasAnyRole
    };

    $rootScope.userPrincipal = def;
    return def;
  }]);
