package com.apobbati.samples.tests;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.security.saml.key.JKSKeyManager;
import org.testng.Assert;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;

public class KeyStoreTest {
    private ApplicationContext ctx;
    private JKSKeyManager keyManager;

    @BeforeTest
    public void setup() {
        ctx = new ClassPathXmlApplicationContext("KeyStoreTest-context.xml");
        keyManager = (JKSKeyManager) ctx.getBean("keyManager");
    }

    @Test
    public void verifyPassword() {
        Assert.assertNotNull(keyManager, "Key manager");
        Assert.assertNotNull(keyManager.getCertificate("test"), "Test cert");
        Assert.assertNotNull(keyManager.getCredential("test"), "Test key");
    }
}
